.button{
    border: none;
    padding: 8px 16px;
    align-items: center;
    gap: 8px;
    border-radius: 80px;
    @include font-size("body-small");
    font-weight: weight("semi-bold");

    &:disabled{
        background: $color-neutral-6;
        border: 1px solid $color-neutral-6;
        color: $color-neutral-6;
    }

    &--primary{
        background: $color-primary;
        color: $color-neutral-0;

        &:hover{
            background: $color-primary-dark;
        }

        &:active{
            background: $color-primary-darker;
        }

        &:focus{
            border: 2px solid #009DDE;
        }
    }

    &--secondary{
        background: $color-neutral-0;
        color: $color-primary;
        border: 1px solid $color-primary;

        &:hover{
            background: $color-neutral-2;
        }

        &:active{
            background: $color-neutral-4;
        }

        &:focus{
            border: 2px solid #009DDE;
        }
    }

    &--terciary{
        background: $color-primary-lightest;
        color: $color-primary;

        &:hover{
            background: $color-primary-lighter;
        }

        &:active{
            background: $color-primary-light;
        }

        &:focus{
            border: 2px solid #009DDE;
        }
    }

    &--plain{
        background: transparent;
        color: $color-neutral-8;

        &:hover{
            background: $color-secondary-lightest;
        }

        &:active{
            background: $color-secondary-lighter;
        }

        &:focus{
            border: 2px solid #009DDE;
        }
    }
}

